List the company purchases
const options = {
method: 'GET',
headers: {'x-spree-api-key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('http://{defaultHost}/api/v3/store/companies/{company_id}/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url http://{defaultHost}/api/v3/store/companies/{company_id}/orders \
--header 'Authorization: Bearer <token>' \
--header 'x-spree-api-key: <api-key>'{
"data": [
{
"id": "or_UkLWZg9DAJ",
"market_id": "mkt_UkLWZg9DAJ",
"withdrawal_period_ends_at": null,
"within_withdrawal_period": true,
"cart_id": null,
"channel_id": "ch_UkLWZg9DAJ",
"company_id": "comp_UkLWZg9DAJ",
"company_name": "Acme Industrial",
"po_document_filename": null,
"po_document_byte_size": null,
"number": "R1001",
"email": "chanell_langosh@schamberger.info",
"customer_note": null,
"po_number": null,
"currency": "USD",
"locale": "en",
"total_quantity": 1,
"coupon_code": null,
"fulfillment_status": null,
"payment_status": null,
"completed_at": "2026-01-15T12:00:00.000Z",
"item_total": "10.0",
"display_item_total": "$10.00",
"adjustment_total": "0.0",
"display_adjustment_total": "$0.00",
"discount_total": "0.0",
"display_discount_total": "$0.00",
"tax_total": "0.0",
"display_tax_total": "$0.00",
"included_tax_total": "0.0",
"display_included_tax_total": "$0.00",
"additional_tax_total": "0.0",
"display_additional_tax_total": "$0.00",
"total": "110.0",
"display_total": "$110.00",
"gift_card_total": "0.0",
"display_gift_card_total": "$0.00",
"amount_due": "110.0",
"display_amount_due": "$110.00",
"delivery_total": "100.0",
"display_delivery_total": "$100.00",
"fee_total": "0.0",
"display_fee_total": "$0.00",
"store_credit_total": "0.0",
"display_store_credit_total": "$0.00",
"covered_by_store_credit": false,
"discounts": [],
"fees": [],
"items": [
{
"id": "li_UkLWZg9DAJ",
"variant_id": "variant_UkLWZg9DAJ",
"seller_id": null,
"preorder": false,
"preorder_ships_at": null,
"quantity": 1,
"currency": "USD",
"name": "Product 2525649",
"slug": "product-2525649",
"options_text": "",
"price": "10.0",
"display_price": "$10.00",
"total": "10.0",
"display_total": "$10.00",
"adjustment_total": "0.0",
"display_adjustment_total": "$0.00",
"additional_tax_total": "0.0",
"display_additional_tax_total": "$0.00",
"included_tax_total": "0.0",
"display_included_tax_total": "$0.00",
"discount_total": "0.0",
"display_discount_total": "$0.00",
"pre_tax_amount": "10.0",
"display_pre_tax_amount": "$10.00",
"discounted_amount": "10.0",
"display_discounted_amount": "$10.00",
"display_compare_at_amount": "$0.00",
"compare_at_amount": null,
"thumbnail_url": null,
"option_values": []
}
],
"fulfillments": [
{
"id": "ful_UkLWZg9DAJ",
"number": "R1001-F1",
"tracking": "U10000",
"tracking_url": null,
"pickup_point_data": null,
"selected_delivery_rate_id": "dr_gbHJdmfrXB",
"unpriced": false,
"cost": "100.0",
"display_cost": "$100.00",
"total": "100.0",
"display_total": "$100.00",
"discount_total": "0.0",
"display_discount_total": "$0.00",
"additional_tax_total": "0.0",
"display_additional_tax_total": "$0.00",
"included_tax_total": "0.0",
"display_included_tax_total": "$0.00",
"tax_total": "0.0",
"display_tax_total": "$0.00",
"status": "unfulfilled",
"fulfillment_type": "shipping",
"fulfilled_at": null,
"delivered_at": null,
"items": [
{
"item_id": "li_UkLWZg9DAJ",
"variant_id": "variant_UkLWZg9DAJ",
"quantity": 1
}
],
"deliveries": [
{
"id": "dlv_UkLWZg9DAJ",
"tracking_number": "U10000",
"carrier": null,
"carrier_name": null,
"service": null,
"status": "pending",
"tracking_url": null,
"estimated_delivery_at": null,
"delivered_at": null
}
],
"delivery_method": {
"id": "dm_UkLWZg9DAJ",
"name": "UPS Ground 114",
"code": "UPS_GROUND_131",
"estimated_transit_business_days_min": null,
"estimated_transit_business_days_max": null,
"digital": false,
"pickup": false,
"pickup_point": false
},
"stock_location": {
"id": "sloc_UkLWZg9DAJ",
"name": "Kali Pacocha",
"address1": "1600 Pennsylvania Ave NW",
"city": "Washington",
"zipcode": "20500",
"country_code": "US",
"country_name": "United States",
"state_code": "AL",
"state_text": "AL",
"pickup_ready_in_minutes": null,
"pickup_instructions": null
},
"delivery_rates": [
{
"id": "dr_gbHJdmfrXB",
"delivery_method_id": "dm_UkLWZg9DAJ",
"name": "UPS Ground 114",
"selected": true,
"cost": "10.0",
"total": "10.0",
"additional_tax_total": "0.0",
"included_tax_total": "0.0",
"tax_total": "0.0",
"carrier": null,
"service_level": null,
"estimated_delivery_date": null,
"unpriced": false,
"freight_summary": null,
"display_cost": "$10.00",
"display_total": "$10.00",
"display_additional_tax_total": "$0.00",
"display_included_tax_total": "$0.00",
"display_tax_total": "$0.00",
"delivery_method": {
"id": "dm_UkLWZg9DAJ",
"name": "UPS Ground 114",
"code": "UPS_GROUND_131",
"estimated_transit_business_days_min": null,
"estimated_transit_business_days_max": null,
"digital": false,
"pickup": false,
"pickup_point": false
}
}
]
}
],
"payments": [],
"billing_address": {
"id": "addr_EfhxLZ9ck8",
"label": null,
"first_name": "John",
"last_name": "Doe",
"full_name": "John Doe",
"address1": "288 Lovely Street",
"address2": "Northwest",
"postal_code": "10118",
"city": "New York",
"phone": "555-555-0199",
"company": "Company",
"country_name": "United States",
"country_code": "US",
"state_text": "NY",
"state_code": "NY",
"quick_checkout": false,
"is_default_billing": false,
"is_default_shipping": false,
"state_abbr": "NY",
"country_iso": "US",
"state_name": "New York"
},
"shipping_address": {
"id": "addr_VqXmZF31wY",
"label": null,
"first_name": "John",
"last_name": "Doe",
"full_name": "John Doe",
"address1": "289 Lovely Street",
"address2": "Northwest",
"postal_code": "10118",
"city": "New York",
"phone": "555-555-0199",
"company": "Company",
"country_name": "United States",
"country_code": "US",
"state_text": "NY",
"state_code": "NY",
"quick_checkout": false,
"is_default_billing": false,
"is_default_shipping": false,
"state_abbr": "NY",
"country_iso": "US",
"state_name": "New York"
},
"gift_card": null,
"market": {
"id": "mkt_UkLWZg9DAJ",
"name": "United States",
"currency": "USD",
"default_locale": "en",
"tax_inclusive": false,
"default": true,
"country_codes": [
"US"
],
"country_isos": [
"US"
],
"supported_locales": [
"en"
]
}
}
],
"meta": {
"page": 1,
"limit": 25,
"count": 1,
"pages": 1,
"from": 1,
"to": 1,
"in": 1,
"previous": null,
"next": null
}
}List the company purchases
Completed orders placed for this node and every node below it, so a parent sees what its divisions bought.
GET
/
api
/
v3
/
store
/
companies
/
{company_id}
/
orders
List the company purchases
const options = {
method: 'GET',
headers: {'x-spree-api-key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('http://{defaultHost}/api/v3/store/companies/{company_id}/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url http://{defaultHost}/api/v3/store/companies/{company_id}/orders \
--header 'Authorization: Bearer <token>' \
--header 'x-spree-api-key: <api-key>'{
"data": [
{
"id": "or_UkLWZg9DAJ",
"market_id": "mkt_UkLWZg9DAJ",
"withdrawal_period_ends_at": null,
"within_withdrawal_period": true,
"cart_id": null,
"channel_id": "ch_UkLWZg9DAJ",
"company_id": "comp_UkLWZg9DAJ",
"company_name": "Acme Industrial",
"po_document_filename": null,
"po_document_byte_size": null,
"number": "R1001",
"email": "chanell_langosh@schamberger.info",
"customer_note": null,
"po_number": null,
"currency": "USD",
"locale": "en",
"total_quantity": 1,
"coupon_code": null,
"fulfillment_status": null,
"payment_status": null,
"completed_at": "2026-01-15T12:00:00.000Z",
"item_total": "10.0",
"display_item_total": "$10.00",
"adjustment_total": "0.0",
"display_adjustment_total": "$0.00",
"discount_total": "0.0",
"display_discount_total": "$0.00",
"tax_total": "0.0",
"display_tax_total": "$0.00",
"included_tax_total": "0.0",
"display_included_tax_total": "$0.00",
"additional_tax_total": "0.0",
"display_additional_tax_total": "$0.00",
"total": "110.0",
"display_total": "$110.00",
"gift_card_total": "0.0",
"display_gift_card_total": "$0.00",
"amount_due": "110.0",
"display_amount_due": "$110.00",
"delivery_total": "100.0",
"display_delivery_total": "$100.00",
"fee_total": "0.0",
"display_fee_total": "$0.00",
"store_credit_total": "0.0",
"display_store_credit_total": "$0.00",
"covered_by_store_credit": false,
"discounts": [],
"fees": [],
"items": [
{
"id": "li_UkLWZg9DAJ",
"variant_id": "variant_UkLWZg9DAJ",
"seller_id": null,
"preorder": false,
"preorder_ships_at": null,
"quantity": 1,
"currency": "USD",
"name": "Product 2525649",
"slug": "product-2525649",
"options_text": "",
"price": "10.0",
"display_price": "$10.00",
"total": "10.0",
"display_total": "$10.00",
"adjustment_total": "0.0",
"display_adjustment_total": "$0.00",
"additional_tax_total": "0.0",
"display_additional_tax_total": "$0.00",
"included_tax_total": "0.0",
"display_included_tax_total": "$0.00",
"discount_total": "0.0",
"display_discount_total": "$0.00",
"pre_tax_amount": "10.0",
"display_pre_tax_amount": "$10.00",
"discounted_amount": "10.0",
"display_discounted_amount": "$10.00",
"display_compare_at_amount": "$0.00",
"compare_at_amount": null,
"thumbnail_url": null,
"option_values": []
}
],
"fulfillments": [
{
"id": "ful_UkLWZg9DAJ",
"number": "R1001-F1",
"tracking": "U10000",
"tracking_url": null,
"pickup_point_data": null,
"selected_delivery_rate_id": "dr_gbHJdmfrXB",
"unpriced": false,
"cost": "100.0",
"display_cost": "$100.00",
"total": "100.0",
"display_total": "$100.00",
"discount_total": "0.0",
"display_discount_total": "$0.00",
"additional_tax_total": "0.0",
"display_additional_tax_total": "$0.00",
"included_tax_total": "0.0",
"display_included_tax_total": "$0.00",
"tax_total": "0.0",
"display_tax_total": "$0.00",
"status": "unfulfilled",
"fulfillment_type": "shipping",
"fulfilled_at": null,
"delivered_at": null,
"items": [
{
"item_id": "li_UkLWZg9DAJ",
"variant_id": "variant_UkLWZg9DAJ",
"quantity": 1
}
],
"deliveries": [
{
"id": "dlv_UkLWZg9DAJ",
"tracking_number": "U10000",
"carrier": null,
"carrier_name": null,
"service": null,
"status": "pending",
"tracking_url": null,
"estimated_delivery_at": null,
"delivered_at": null
}
],
"delivery_method": {
"id": "dm_UkLWZg9DAJ",
"name": "UPS Ground 114",
"code": "UPS_GROUND_131",
"estimated_transit_business_days_min": null,
"estimated_transit_business_days_max": null,
"digital": false,
"pickup": false,
"pickup_point": false
},
"stock_location": {
"id": "sloc_UkLWZg9DAJ",
"name": "Kali Pacocha",
"address1": "1600 Pennsylvania Ave NW",
"city": "Washington",
"zipcode": "20500",
"country_code": "US",
"country_name": "United States",
"state_code": "AL",
"state_text": "AL",
"pickup_ready_in_minutes": null,
"pickup_instructions": null
},
"delivery_rates": [
{
"id": "dr_gbHJdmfrXB",
"delivery_method_id": "dm_UkLWZg9DAJ",
"name": "UPS Ground 114",
"selected": true,
"cost": "10.0",
"total": "10.0",
"additional_tax_total": "0.0",
"included_tax_total": "0.0",
"tax_total": "0.0",
"carrier": null,
"service_level": null,
"estimated_delivery_date": null,
"unpriced": false,
"freight_summary": null,
"display_cost": "$10.00",
"display_total": "$10.00",
"display_additional_tax_total": "$0.00",
"display_included_tax_total": "$0.00",
"display_tax_total": "$0.00",
"delivery_method": {
"id": "dm_UkLWZg9DAJ",
"name": "UPS Ground 114",
"code": "UPS_GROUND_131",
"estimated_transit_business_days_min": null,
"estimated_transit_business_days_max": null,
"digital": false,
"pickup": false,
"pickup_point": false
}
}
]
}
],
"payments": [],
"billing_address": {
"id": "addr_EfhxLZ9ck8",
"label": null,
"first_name": "John",
"last_name": "Doe",
"full_name": "John Doe",
"address1": "288 Lovely Street",
"address2": "Northwest",
"postal_code": "10118",
"city": "New York",
"phone": "555-555-0199",
"company": "Company",
"country_name": "United States",
"country_code": "US",
"state_text": "NY",
"state_code": "NY",
"quick_checkout": false,
"is_default_billing": false,
"is_default_shipping": false,
"state_abbr": "NY",
"country_iso": "US",
"state_name": "New York"
},
"shipping_address": {
"id": "addr_VqXmZF31wY",
"label": null,
"first_name": "John",
"last_name": "Doe",
"full_name": "John Doe",
"address1": "289 Lovely Street",
"address2": "Northwest",
"postal_code": "10118",
"city": "New York",
"phone": "555-555-0199",
"company": "Company",
"country_name": "United States",
"country_code": "US",
"state_text": "NY",
"state_code": "NY",
"quick_checkout": false,
"is_default_billing": false,
"is_default_shipping": false,
"state_abbr": "NY",
"country_iso": "US",
"state_name": "New York"
},
"gift_card": null,
"market": {
"id": "mkt_UkLWZg9DAJ",
"name": "United States",
"currency": "USD",
"default_locale": "en",
"tax_inclusive": false,
"default": true,
"country_codes": [
"US"
],
"country_isos": [
"US"
],
"supported_locales": [
"en"
]
}
}
],
"meta": {
"page": 1,
"limit": 25,
"count": 1,
"pages": 1,
"from": 1,
"to": 1,
"in": 1,
"previous": null,
"next": null
}
}Authorizations
Publishable API key for store access
JWT token for authenticated customers
Path Parameters
Company node ID (comp_...)
Response
200 - application/json
orders listed
Was this page helpful?
⌘I

